(function ($) {
  Drupal.yammer_feeds = Drupal.yammer_feeds || {};
  
  Drupal.behaviors.yammer_feeds = {
    attach: function(context) {
      $('#more-link-id').click(function(evt) {
        $("#loading-image-block").html('<div class="loading-image">&nbsp;</div>');
        $.get('?q=yammer-feeds/older-messages/ajax', null, Drupal.yammer_feeds.older);
        evt.preventDefault();
      });
      
      $('#refresh-link-id').click(function(evt) {
        $('#yammer-feeds-block-body').empty();
        $('#yammer-feeds-block-body').html('<div class="pre-loading-image"></div>');
        $.get('?q=yammer-feeds/newer-messages/ajax', null, Drupal.yammer_feeds.newer);
        evt.preventDefault();
      })
      .trigger('click');
    }
  };

  Drupal.yammer_feeds.older = function(response) {
    $("#loading-image-block").empty();
    $("#more-messages").append(response.message);
  };
  
  Drupal.yammer_feeds.newer = function(response) {
    $('#yammer-feeds-block-body').html(response.message);
  };
  
})(jQuery);